# File: /etc/apache2/conf-available/security.conf
# activate with `a2enconf security.conf`
# requires mod_headers
ServerTokens Prod 
ServerSignature Off
TraceEnable Off
<IfModule mod_headers.c>
    Header always set X-Content-Type-Options nosniff
    Header always set X-Frame-Options sameorigin
    Header always set Strict-Transport-Security "max-age=63072000; includeSubDomains; preload"
    Header always set Referrer-Policy "strict-origin"
    Header always set Permissions-Policy "geolocation=(self);midi=(self);notifications=(self);push=(self);sync-xhr=(self);microphone=(self);camera=(self);magnetometer=(self);gyroscope=(self);speaker=(self);vibrate=(self);fullscreen=(self);payment=(self);"
    Header set X-XSS-Protection "1; mode=block"
</IfModule>
